Upgrade from CE 1.5 to 1.7.0.2 PAYPAL Error and can’t CHECKOUT One Page failed UPGRADE

Please LogIn to Reply!

Post By: admin | 26-01-2012 06:35 Reply

 

I have upgrade my server from 1.5 to 1.7.02 tonight successfully.

I upgrade from the command line with the mage command
./mage channel-add http://connect20.magentocommerce.com/community

./mage install http://connect20.magentocommerce.com/community Mage_All_Latest --force


php -f ./index.php

I also turned on tracing since this is a dev box. so I could see errors in the system.out file and on the screen.

The Magento server came up fine after I complete this last step. So I assumed everything was fined.

Problem #1
I replaced our domain with word domain for this example.

When I put items in my cart it and I click on
http://staging.domain.com/checkout/onepage/

I get the following error.
Fatal error: Undefined class constant ‘Mage_Paypal_Model_Config::METHOD_PAYFLOWADVANCED’ in /srv/www/vhosts/staging.domain.com/htdocs/app/code/core/Mage/Core/Model/Config.php on line 1348

Problem #2
When I click on the System->Configuration->Payment Methods
I get the following error.

Fatal error: Call to undefined method Mage_Paypal_Model_Config::getRequireBillingAddressOptions() in /srv/www/vhosts/staging.domain.com/htdocs/app/code/core/Mage/Paypal/Model/System/Config/Source/RequireBillingAddress.php on line 41

Now I’m not sure if I needed to actually make a fresh install of the V1.7 of the code and then import my database. We wrote some custom modules and have some extra extensions that I just assumed make a copy and do the upgrade with the mage command.

Anyone have any ideas where I should go from here?

After the upgrade I have the following two

`Reply Or Comment!
Please LogIn to Reply!